{{- if .Values.persistence.velero.enabled }}
apiVersion: velero.io/v1
kind: Schedule
metadata:
  name: {{ template "postgres.fullname" . }}-{{ .Release.Namespace }}
  labels:
    app: {{ template "postgres.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  schedule: {{ .Values.persistence.velero.schedule | quote }}
  template:
    includedNamespaces:
      - {{ .Release.Namespace }}
    ttl: {{ .Values.persistence.velero.ttl | quote }}
---
apiVersion: integration.siliconhills.dev/v1alpha2
kind: Plug
metadata:
  name: velero-schedule-replicator
  labels:
    app: {{ .Release.Name }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  interfaceVersions: '*'
  interface:
    name: replicator
    namespace: velero
  socket:
    name: velero-schedule-replicator
    namespace: velero
  config:
    name: {{ template "postgres.fullname" . }}-{{ .Release.Namespace }}
{{- end }}
